Skip to main content
GET
https://api.dintero.com/
/
v2
/
accounts
/
{aid}
/
payout
/
payout-destinations
/
{payout_destination_id}
/
transfers
Get seller transfers
curl --request GET \
  --url https://api.dintero.com/v2/accounts/{aid}/payout/payout-destinations/{payout_destination_id}/transfers \
  --header 'x-api-key: <api-key>'
{
  "entries": [
    {
      "ledger_entry_id": "<string>",
      "account_id": "<string>",
      "payout_destination_config_id": "<string>",
      "payout_destination_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "currency": "<string>",
      "amount": 123,
      "type": "inbound",
      "inbound_payment_provider": "<string>",
      "transfer_id": "<string>",
      "transfer_source_payout_destination_id": "<string>",
      "transfer_destination_payout_destination_id": "<string>",
      "transfer_reference": "<string>",
      "outbound_receiver_country": "<string>",
      "outbound_receiver_bank_account_type": "<string>",
      "outbound_receiver_bank_account_number": "<string>",
      "outbound_receiver_bank_account_bic": "<string>",
      "outbound_message": "<string>",
      "payment_match_report_data": {
        "start_at": "<string>",
        "end_at": "<string>",
        "settled_at": "<string>",
        "created_at": "<string>",
        "provider": "<string>",
        "provider_reference": "<string>",
        "attachments": [
          {
            "id": "<string>",
            "key": "<string>",
            "content_type": "application/xml",
            "extension": "<string>",
            "created_by": "payex"
          }
        ],
        "amounts": [
          {
            "amount": 123,
            "capture": 123,
            "refund": 123,
            "fee": 123,
            "currency": "NOK"
          }
        ],
        "payment_status": "payment-match",
        "store_id": "<string>",
        "payout_destination_id": "<string>"
      }
    }
  ],
  "next_page_token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

X-API-Key authentication for accessing regular endpoints. Use Create api-key to create a key.

The content of the header should look like the following:

x-api-key: {api_key}

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
payout_destination_id
string
required

Seller id

Query Parameters

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 1000 items, and the default is 10 items.

Required range: 1 <= x <= 1000
page
string

The page (as defined by the next_page_token in the api response)

currency
string

Filter by currency

Required string length: 3
Pattern: ^[A-Z]{3}$

Response

Payout destination transfers response

entries
object[]
next_page_token
string